"use strict";
/*
 * Simple type safe tuples
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tuple3 = exports.Tuple2 = void 0;
/**
 * Creates a Tuple composed of 2 elements
 *
 * @param e1 Element 1
 * @param e2 Element 2
 */
const Tuple2 = (e1, e2) => ({
    e1,
    e2,
});
exports.Tuple2 = Tuple2;
/**
 * Creates a Tuple composed of 3 elements
 *
 * @param e1 Element 1
 * @param e2 Element 2
 * @param e3 Element 3
 */
const Tuple3 = (e1, e2, e3) => ({
    e1,
    e2,
    e3,
});
exports.Tuple3 = Tuple3;
//# sourceMappingURL=tuples.js.map