/// <reference types="node" />
/// <reference types="node" />
import * as agentkeepalive from "agentkeepalive";
export declare const isFetchKeepaliveEnabled: (env: NodeJS.ProcessEnv) => boolean;
export declare const getKeepAliveAgentOptions: (env: NodeJS.ProcessEnv) => {
    freeSocketTimeout: number | undefined;
    keepAlive: boolean;
    keepAliveMsecs: number | undefined;
    maxFreeSockets: number | undefined;
    maxSockets: number | undefined;
    socketActiveTTL: number | undefined;
    timeout: number | undefined;
};
export declare const newHttpAgent: (httpOptions: agentkeepalive.HttpOptions) => agentkeepalive;
export declare const newHttpsAgent: (httpsOptions: agentkeepalive.HttpsOptions) => agentkeepalive.HttpsAgent;
export declare const getHttpFetch: (env: NodeJS.ProcessEnv, extraOptions?: agentkeepalive.HttpOptions) => typeof fetch;
export declare const getHttpsFetch: (env: NodeJS.ProcessEnv, extraOptions?: agentkeepalive.HttpsOptions) => typeof fetch;
export declare const getFetch: (env: NodeJS.ProcessEnv, extraOptions?: agentkeepalive.HttpOptions) => typeof fetch;
