import * as t from "io-ts";
/**
 * Create a decoder that parses a string containing a list of comma-separated elements into an array of typed items, using the provided decoder
 *
 * @param decoder a io-ts decoder
 *
 * @returns either a decode error or the array of decoded items
 */
export declare const CommaSeparatedListOf: (decoder: t.Mixed) => t.Type<readonly any[], string, unknown>;
