import * as express from "express";
import { IResponse } from "./responses";
/**
 * Convenience method that transforms a function (handler),
 * which takes an express.Request as input and returns an IResponse,
 * into an express controller.
 */
export declare function toExpressHandler<T>(handler: (req: express.Request) => Promise<IResponse<T>>): <P>(req: express.Request, res: express.Response, object?: P) => void;
